Package com.io7m.jtensors.generators

# Class PMatrix2x2FGenerator<A,​B>

java.lang.Object
com.io7m.jtensors.generators.PMatrix2x2FGenerator<A,​B>

Type Parameters:
  `A` - A phantom type parameter (possibly representing a source coordinate system)
  `B` - A phantom type parameter (possibly representing a target coordinate system)

All Implemented Interfaces:
  `net.java.quickcheck.Generator<PMatrix2x2F<A,​B>>`

    public final class PMatrix2x2FGenerator<A,​B>
    extends java.lang.Object
    implements net.java.quickcheck.Generator<PMatrix2x2F<A,​B>>

A matrix generator.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PMatrix2x2FGenerator​(net.java.quickcheck.Generator<java.lang.Double> in_gen)` | Construct a generator.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static <A,​ B> net.java.quickcheck.Generator<PMatrix2x2F<A,​B>>` | `create()` | Create a generator initialized with a default component generator.
  `static <A,​ B> net.java.quickcheck.Generator<PMatrix2x2F<A,​B>>` | `createNormal()` | Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
  `PMatrix2x2F<A,​B>` | `next()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PMatrix2x2FGenerator

    public PMatrix2x2FGenerator​(net.java.quickcheck.Generator<java.lang.Double> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static <A,​ B> net.java.quickcheck.Generator<PMatrix2x2F<A,​B>> create()
    Create a generator initialized with a default component generator.
    Type Parameters:
      `A` - A phantom type parameter (possibly representing a source coordinate system)
      `B` - A phantom type parameter (possibly representing a target coordinate system)
    Returns:
      A generator

  - ### createNormal

    public static <A,​ B> net.java.quickcheck.Generator<PMatrix2x2F<A,​B>> createNormal()
    Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
    Type Parameters:
      `A` - A phantom type parameter (possibly representing a source coordinate system)
      `B` - A phantom type parameter (possibly representing a target coordinate system)
    Returns:
      A generator

  - ### next

    public PMatrix2x2F<A,​B> next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<A>`